#include "Driver_GPIO.h"
#include "MyTimer.h"
#include "MyADC.h"
#include "stm32f10x.h"

float res = 0;

int main ( void ) {
	MyGPIO_Struct_TypeDef GPIO_Struct;
	
	// Configuration de la broche PB.0
	GPIO_Struct.GPIO = GPIOB;
	GPIO_Struct.GPIO_Pin = 0;
	GPIO_Struct.GPIO_Conf = In_Analog;
	MyGPIO_Init(&GPIO_Struct);
	
	MyADC_Init(8);
   
	while (1)
	{
		res =  ((convert_single()/4095.0)*3.3*13.0); // conversion
	}
}
